dnl Process this file with autoconf (2.50 or later) to produce a configure script.
AC_INIT(bibextract, 1.09, beebe@math.utah.edu)

dnl Checks for support programs

AC_CHECK_PROGS(AWK,		[mawk nawk gawk awk])
AC_CHECK_PROGS(CAT,		cat)
AC_CHECK_PROGS(CHECKSUM,	checksum)
AC_CHECK_PROGS(CHMOD,		chmod)
AC_CHECK_PROGS(COL,		col)
AC_CHECK_PROGS(DEROFF,		[deroff cat])
AC_CHECK_PROGS(EXPAND,		expand)
AC_CHECK_PROGS(GZIP,		gzip)
AC_CHECK_PROGS(LS,		ls)
AC_CHECK_PROGS(MKDIR,		mkdir)
AC_CHECK_PROGS(NROFF,		[groff nroff ditroff])
AC_CHECK_PROGS(SPELL,		spell)
AC_CHECK_PROGS(TAR,		tar)
AC_CHECK_PROGS(UNZIP,		unzip)
AC_CHECK_PROGS(ZIP,		zip)
AC_CHECK_PROGS(ZOO,		zoo)

AC_PATH_PROG(CP,		cp)
AC_PATH_PROG(LN,		ln)
AC_PATH_PROG(RM,		rm)
dnl SED must be an absolute path, since it is recorded in intalled
dnl scripts!
AC_PATH_PROG(SED,		sed)
AC_PATH_PROG(SHELL,		sh)

dnl Checks for compiler

dnl Checks for programs.

dnl Checks for libraries.

dnl Checks for header files.

dnl Checks for typedefs, structures, and compiler characteristics.

dnl Checks for library functions.

dnl Remove -g from CFLAGS if we are compiling with lcc because it
dnl produces bad debug symbol tables on Sun Solaris 2.x.
if test "$CC" = "lcc"
then
    CFLAGS="`echo $CFLAGS | sed -e 's/-g //g' -e 's/ -g$//g' -e 's/^-g$//'`"
fi

AC_OUTPUT(Makefile)
